<script setup>
import * as inputEnums from '@/app/enums/input';
import Input from '@/app/components/crud/particles/Input.vue';

import { sendRequest } from '../scripts/sendRequest';
</script>

<script>
export default {
    methods: {
        submit(event) {
            sendRequest(this, event, 'exchange/excel/export/shop/list', (formData) => {
                return 'Shops (list) ' + '(' + formData.get('date_from') + ' - ' + formData.get('date_to') + ').xlsx';
            });
        },
    },
};
</script>

<template>
    <div class="card card-primary">
        <div class="card-header card-primary">
            {{
                __('Экспорт: :type', {
                    type: __('Магазины (список)'),
                })
            }}
        </div>

        <div class="card-body">
            <form @submit.prevent="submit">
                <div class="row">
                    <Input
                        :item="{
                            label: __('fields->date_from'),
                            name: 'date_from',
                            type: inputEnums.types.date,
                            options: {},
                            wrapperSize: inputEnums.wrapperSizes.lg,
                        }"
                    />
                    <Input
                        :item="{
                            label: __('fields->date_to'),
                            name: 'date_to',
                            type: inputEnums.types.date,
                            options: {},
                            wrapperSize: inputEnums.wrapperSizes.lg,
                        }"
                    />
                </div>

                <button type="submit" class="btn btn-success btn-block">
                    {{ __('Экспортировать') }}
                </button>
            </form>
        </div>
    </div>
</template>
